<?php
if ( ! function_exists( 'simple_white_lite_setup' ) ) :
function simple_white_lite_setup() {
	load_theme_textdomain( 'simple-white-lite', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'post-thumbnails' );
	register_nav_menus( array(
		'primary' => esc_html__( 'Primary', 'simple-white-lite' ),
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );
	add_theme_support( 'post-formats', array(
		'aside',
		'image',
		'video',
		'quote',
		'link',
	) );
	add_theme_support( 'custom-background', apply_filters( 'simple_white_lite_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
}
endif;
add_action( 'after_setup_theme', 'simple_white_lite_setup' );

function simple_white_lite_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'simple_white_lite_content_width', 640 );
}
add_action( 'after_setup_theme', 'simple_white_lite_content_width', 0 );
function simple_white_lite_widgets_init() {










	register_sidebar( array(
		'name'          => esc_html__( 'Header', 'simple-white-lite' ),
		'id'            => 'sidebar-2',
		'description'   => esc_html__( 'Add widgets here.', 'simple-white-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 1', 'simple-white-lite' ),
		'id'            => 'sidebar-3',
		'description'   => esc_html__( 'Add widgets here.', 'simple-white-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 2', 'simple-white-lite' ),
		'id'            => 'sidebar-4',
		'description'   => esc_html__( 'Add widgets here.', 'simple-white-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 3', 'simple-white-lite' ),
		'id'            => 'sidebar-5',
		'description'   => esc_html__( 'Add widgets here.', 'simple-white-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 4', 'simple-white-lite' ),
		'id'            => 'sidebar-6',
		'description'   => esc_html__( 'Add widgets here.', 'simple-white-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );






















































}
add_action( 'widgets_init', 'simple_white_lite_widgets_init' );








// Add Menu and Bootstrap

function register_my_menu() {
  register_nav_menu('header-menu',__( 'Header Menu' ));
}
add_action( 'init', 'register_my_menu' );





function simple_white_lite_scripts() {
		wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css', array( ), false, 'all' );
		wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap-theme.css', array( ), false, 'all' );
		wp_enqueue_script('jquery');
		wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/js/bootstrap.js', array( ), false, 'all' );
		wp_enqueue_style( 'simple-white-style', get_stylesheet_uri() );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'simple_white_lite_scripts' );


require get_template_directory() . '/inc/template-tags.php';
add_action( 'after_setup_theme', 'simple_white_lite_woocommerce_support' );
function simple_white_lite_woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 12;' ), 20 );
function woocommerce_output_related_products() {
    $args = array('posts_per_page' => 4, 'columns' => 4,'orderby' => 'rand' );
    woocommerce_related_products( apply_filters( 'woocommerce_output_related_products_args', $args ) );}























add_filter('add_to_cart_fragments', 'simple_white_lite_fragment');
function simple_white_lite_fragment( $fragments ) {
    global $woocommerce;
    ob_start(); ?>
    <a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'simple-white-lite'); ?>"> <?php echo $woocommerce->cart->get_cart_total(); ?></a>
    <?php
    $fragments['a.cart-contents'] = ob_get_clean();
    return $fragments;
}


add_action( 'after_setup_theme', 'simple_white_lite' );
 
function simple_white_lite() {
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );
}




























function simple_white_lite_menu() {
	add_theme_page('Simple White Lite Setup', 'Menu - Help', 'edit_theme_options', 'simple-white-lite', 'simple_white_lite_menu_page');
}
add_action('admin_menu', 'simple_white_lite_menu');
function simple_white_lite_menu_page() {
echo '
<br>
<center><h1 style="font-size:79px;">' . __( 'Simple White Lite', 'simple-white-lite' ) . '</h1></ceter>
<br><br><br>
	<center><h1>' . __( 'Max Mega Menu', 'simple-white-lite' ) . '</h1></ceter>
<br>
Installation:<br>
1. Go to the Plugins Menu in WordPress<br>
2. Search for "Max Mega Menu"<br>
3. Click "Install"<br><br>


<h2><center>' . __( 'Documentation', 'simple-white-lite' ) . '  <a href="https://www.megamenu.com/documentation/mega-menus/">' . __( 'https://www.megamenu.com/documentation/mega-menus/', 'simple-white-lite' ) . '</a></center></h2><br><br>

<center><img src="' . get_template_directory_uri() . '/images/mega-menu-1.jpg"></center>
<br><br>
<h2><center>' . __( 'Copy Paste code', 'simple-white-lite' ) . '  <a href="https://rgb-classic.com/simple-white-lite-documentation/">' . __( 'https://rgb-classic.com/simple-white-lite-documentation/', 'simple-white-lite' ) . '</a></center></h2><br><br>

<br>

<center><img src="' . get_template_directory_uri() . '/images/mega-menu-2.jpg"></center>
<br><br>
<center><img src="' . get_template_directory_uri() . '/images/mega-menu-3.jpg"></center>
<br><br>
<center><img src="' . get_template_directory_uri() . '/images/mega-menu-4.jpg"></center>
<br><br>
<center><img src="' . get_template_directory_uri() . '/images/mega-menu-41.jpg"></center>
<br><br>
<center><img src="' . get_template_directory_uri() . '/images/mega-menu-5.jpg"></center>
<br>





';
}


function simple_white_lite_translation_menu() {
	add_theme_page('Simple White Lite Setup', 'Translation', 'edit_theme_options', 'simple-white-lite-translation', 'simple_white_lite_menu_translation_page');
}
add_action('admin_menu', 'simple_white_lite_translation_menu');
function simple_white_lite_menu_translation_page() {
echo '
<br>
<center><h1 style="font-size:79px;">' . __( 'Simple White Lite', 'simple-white-lite-translation' ) . '</h1></ceter>
<br><br><br>
	<center><h1>' . __( 'Translation', 'simple-white-lite' ) . '</h1></ceter>
<br>
If you have found a mistake in the translation or if you want to add a new language, please translate the text into your language and we will add it to the theme.
<h2><center>  <a href="https://rgb-classic.com/translation/">' . __( 'https://rgb-classic.com/translation/', 'simple-white-lite' ) . '</a></center></h2><br>
We will add your translation and notify you by email.
<br>
';
}










function simple_white_lite_pro_menu() {
	add_theme_page('Simple White Lite Setup', 'Free vs PRO', 'edit_theme_options', 'simple-white-lite-pro', 'simple_white_lite_menu_pro_page');
}
add_action('admin_menu', 'simple_white_lite_pro_menu');
function simple_white_lite_menu_pro_page() {
echo '
<br>
<center><h1 style="font-size:79px;">' . __( 'free vs PRO', 'simple-white-lite' ) . '</h1></ceter>
<br><br><br>
<h2><center>  <a href="https://rgb-classic.com/product/simple-white/">' . __( 'Simple White PRO', 'simple-white-lite' ) . '</a></center></h2><br>
<br>
Thank you very much for choosing our template. In acknowledgement thereof, we would like to offer a 30% discount on purchase of an extended version. <br>
Discount coupon is valid until July 31, 2017. Here you will find a description of how you can use this coupon.
<h2><center>  <a href="https://rgb-classic.com/discount/">' . __( 'https://rgb-classic.com/discount/', 'simple-white-lite' ) . '</a></center></h2><br>
<h1><center>best-rgb30%</center></h1><br>
</br></br></br>


<center><img src="' . get_template_directory_uri() . '/images/fs-hp1.jpg"></center>
</br>
</br>
</br>
</br>
</br>
</br>
<center><img src="' . get_template_directory_uri() . '/images/fs-color-hp1.jpg"></center>
</br>
</br>
</br>
</br>
</br>
</br>
</br>
</br>


</br>
</br>
<center>Visual Composer. Best visual designer which allows to easily and simply create nice pages without having programming skills. <br>
It is used to create corporate websites, online stores, landing pages. </center><br><br>
<center><img src="' . get_template_directory_uri() . '/images/vcomposer.jpg"></center>
</br>
</br>
</br>
<center><img src="' . get_template_directory_uri() . '/images/theme-options.jpg"></center><br><br>
<h2><center>  <a href="https://rgb-classic.com/product/simple-white/">' . __( 'Simple White PRO', 'simple-white-lite' ) . '</a></center></h2><br>
</br>
<center><img src="' . get_template_directory_uri() . '/images/free-pro-rgb.jpg"></center>
</br>
</br>
</br>
</br>
</br>
</br>
<center><img src="' . get_template_directory_uri() . '/images/backlinks.jpg"></center>


';
}